# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /space/home/cvsroot/gentoo-x86/net-im/gaim/gaim-0.59.3.ebuild,v 1.4 2002/10/05 05:39:21 drobbins Exp $

IUSE="nas nls esd gnome arts gtk2 perl"

S=${WORKDIR}/gaim*
DESCRIPTION="GTK Instant Messenger client"
SRC_URI="http://gaim.sourceforge.net/gaim-CVS.tar.gz"
HOMEPAGE="http://gaim.sourceforge.net"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="x86 ppc"

DEPEND="=sys-libs/db-1*
	esd? ( >=media-sound/esound-0.2.22-r2 )
	nls? ( sys-devel/gettext )
	nas? ( >=media-libs/nas-1.4.1-r1 )
	arts? ( >=kde-base/arts-0.9.5 )
	perl? ( >=sys-devel/perl-5.6.1 )
	=x11-libs/gtk+-2.0* =dev-libs/glib-2.0*"

RDEPEND="${DEPEND}"

src_unpack() {

	unpack ${A}
	
	# patch for korean encoding
	# It should be ok with other languages
	# the patch only works with nls 
	# PULLED -- got complaints it was hosing gtk2 non-korean users
	# use nls && patch -p0 < ${FILESDIR}/${P}-korean.patch

}

src_compile() {
	local myconf

	use esd  || myconf="--disable-esd"
	use perl || myconf="${myconf} --disable-perl"
	use nas \
		&& myconf="${myconf} --enable-nas" \
		|| myconf="${myconf} --disable-nas"

	if [ "` use arts`" ]; then
	    inherit kde-functions
	    set-kdedir 3
	    # $KDEDIR now points to arts location
	else
	    myconf="${myconf} --disable-artsc"
	fi

	use nls || myconf="${myconf} --disable-nls"

	einfo "myconf=${myconf}"

	# always build standalone gaim program
	econf ${myconf} || die
	emake || die

}

src_install () {

	make DESTDIR=${D} install || die

	# if gnome enabled, make sure to install standalone version also
#	use gnome && dobin ${S}/gaim

	dodoc ABOUT-NLS AUTHORS HACKING INSTALL NEWS README TODO
}
